petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchAppendOptionsPrefix

Appends to the prefix used for searching for all SNES options in the database.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchAppendOptionsPrefix(SNESLineSearch linesearch,const char prefix[])

Logically Collective on SNESLineSearch Many br

### Input Parameters

| snes | - the SNES context Many br
| prefix | - the prefix to prepend to all option names Many br

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. Many brThe first character of all runtime options is AUTOMATICALLY the hyphen. Many br

Many br

### Keywords

SNESLineSearch, append, options, prefix, database

### See Also

SNESGetOptionsPrefix()

Level:advanced
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages